/**************************************************************************
/* This class implements a simple JPanel for a wizard-page.
/*
/* Copyright (c) 2006 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import java.awt.*;
import javax.swing.*;

import org.netbeans.spi.wizard.*;

/**
   This class implements a simple JPanel for a wizard-page.

   @version $Revision: 1.1 $
   @author  $Author: bablokb $
*/

public class WizardPanel extends WizardPage {

  //////////////////////////////////////////////////////////////////////////////

  /**
     Constructor.
  */

  public WizardPanel(String title,int number) {
    super(Integer.toString(number),"Step: " + number);
    JTextField entryField = new JTextField(20);
    entryField.setName("EntryField" + number);
    JLabel label = new JLabel("EntryField" + number);
    add(label);
    add(entryField);
  }
}
